Bug 1594283 - Client wrongly sets inode state from out-of-date non-auth MDS caps
Summary: Client wrongly sets inode state from out-of-date non-auth MDS caps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 3.0
Hardware: All
OS: All
low
medium
Target Milestone: z5
: 3.0
Assignee: Patrick Donnelly
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-22 14:10 UTC by Rishabh Dave
Modified: 2018-08-09 18:27 UTC (History)
5 users (show)

Fixed In Version: RHEL: ceph-12.2.4-32 Ubuntu: ceph_12.2.4-36redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-09 18:27:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 23013 None None None 2018-07-09 17:33:31 UTC
Ceph Project Bug Tracker 23835 None None None 2018-07-09 17:33:12 UTC
Ceph Project Bug Tracker 24540 None None None 2018-06-22 14:10:30 UTC
Red Hat Product Errata RHBA-2018:2375 None None None 2018-08-09 18:27:32 UTC

Description Rishabh Dave 2018-06-22 14:10:30 UTC
Description of problem: Cap message and request reply from non-auth MDS may carry stale information even when they have the newest inode version.

Comment 14 errata-xmlrpc 2018-08-09 18:27:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2375


Note You need to log in before you can comment on or make changes to this bug.